## pgtap 0.95.0

=== Makefile ===
MAINEXT      = pgtap
EXTENSION    = $(MAINEXT)
EXTVERSION   = $(shell grep default_version $(MAINEXT).control | \
			   sed -e "s/default_version[[:space:]]*=[[:space:]]*'\([^']*\)'/\1/")
NUMVERSION   = $(shell echo $(EXTVERSION) | sed -e 's/\([[:digit:]]*[.][[:digit:]]*\).*/\1/')
DATA         = $(wildcard sql/*--*.sql)
TESTS        = $(wildcard test/sql/*.sql)
EXTRA_CLEAN  = sql/pgtap.sql sql/uninstall_pgtap.sql sql/pgtap-core.sql sql/pgtap-schema.sql doc/*.html
DOCS         = doc/pgtap.mmd
REGRESS      = $(patsubst test/sql/%.sql,%,$(TESTS))
REGRESS_OPTS = --inputdir=test --load-language=plpgsql
PG_CONFIG   ?= pg_config

ifdef NO_PGXS
top_builddir = ../..
PG_CONFIG := $(top_builddir)/src/bin/pg_config/pg_config
else
# Run pg_config to get the PGXS Makefiles
PGXS := $(shell $(PG_CONFIG) --pgxs)
endif

# We need to do various things with the PostgreSQLl version.
VERSION = $(shell $(PG_CONFIG) --version | awk '{print $$2}')

# We support 8.1 and later.
ifeq ($(shell echo $(VERSION) | grep -qE " 7[.]|8[.]0" && echo yes || echo no),yes)
$(error pgTAP requires PostgreSQL 8.1 or later. This is $(VERSION))
endif

# Compile the C code only if we're on 8.3 or older.
ifeq ($(shell echo $(VERSION) | grep -qE "8[.][123]" && echo yes || echo no),yes)
MODULES = src/pgtap
endif

# Load PGXS now that we've set all the variables it might need.
ifdef NO_PGXS
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
else
include $(PGXS)
endif

# We need Perl.
ifndef PERL
PERL := $(shell which perl)
endif

# Is TAP::Parser::SourceHandler::pgTAP installed?
ifdef PERL
HAVE_HARNESS := $(shell $(PERL) -le 'eval { require TAP::Parser::SourceHandler::pgTAP }; print 1 unless $$@' )
endif

ifndef HAVE_HARNESS
$(warning To use pg_prove, TAP::Parser::SourceHandler::pgTAP Perl module)
$(warning must be installed from CPAN. To do so, simply run:)
$(warning     cpan TAP::Parser::SourceHandler::pgTAP)
endif

# Enum tests not supported by 8.2 and earlier.
ifeq ($(shell echo $(VERSION) | grep -qE "8[.][12]" && echo yes || echo no),yes)
TESTS   := $(filter-out test/sql/enumtap.sql,$(TESTS))
REGRESS := $(filter-out enumtap,$(REGRESS))
endif

# Values tests not supported by 8.1 and earlier.
ifeq ($(shell echo $(VERSION) | grep -qE "8[.][1]" && echo yes || echo no),yes)
TESTS   := $(filter-out test/sql/enumtap.sql sql/valueset.sql,$(TESTS))
REGRESS := $(filter-out enumtap valueset,$(REGRESS))
endif

# Determine the OS. Borrowed from Perl's Configure.
OSNAME := $(shell $(SHELL) ./getos.sh)

# Make sure we build these.
all: sql/pgtap.sql sql/uninstall_pgtap.sql sql/pgtap-core.sql sql/pgtap-schema.sql

# Add extension build targets on 9.1 and up.
ifeq ($(shell echo $(VERSION) | grep -qE "8[.]|9[.]0" && echo no || echo yes),yes)
all: sql/$(MAINEXT)--$(EXTVERSION).sql sql/$(MAINEXT)-core--$(EXTVERSION).sql sql/$(MAINEXT)-schema--$(EXTVERSION).sql

sql/$(MAINEXT)--$(EXTVERSION).sql: sql/$(MAINEXT).sql
	cp $< $@

sql/$(MAINEXT)-core--$(EXTVERSION).sql: sql/$(MAINEXT)-core.sql
	cp $< $@

sql/$(MAINEXT)-schema--$(EXTVERSION).sql: sql/$(MAINEXT)-schema.sql
	cp $< $@

DATA = $(wildcard sql/*--*.sql)
EXTRA_CLEAN += sql/$(MAINEXT)--$(EXTVERSION).sql sql/$(MAINEXT)-core--$(EXTVERSION).sql sql/$(MAINEXT)-schema--$(EXTVERSION).sql
endif

sql/pgtap.sql: sql/pgtap.sql.in test/setup.sql
	cp $< $@
ifeq ($(shell echo $(VERSION) | grep -qE "9[.]0|8[.][1234]" && echo yes || echo no),yes)
	patch -p0 < compat/install-9.0.patch
endif
ifeq ($(shell echo $(VERSION) | grep -qE "8[.][1234]" && echo yes || echo no),yes)
	patch -p0 < compat/install-8.4.patch
endif
ifeq ($(shell echo $(VERSION) | grep -qE "8[.][123]" && echo yes || echo no),yes)
	patch -p0 < compat/install-8.3.patch
endif
ifeq ($(shell echo $(VERSION) | grep -qE "8[.][12]" && echo yes || echo no),yes)
	patch -p0 < compat/install-8.2.patch
endif
ifeq ($(shell echo $(VERSION) | grep -qE "8[.][1]" && echo yes || echo no),yes)
	patch -p0 < compat/install-8.1.patch
endif
	sed -e 's,MODULE_PATHNAME,$$libdir/pgtap,g' -e 's,__OS__,$(OSNAME),g' -e 's,__VERSION__,$(NUMVERSION),g' sql/pgtap.sql > sql/pgtap.tmp
	mv sql/pgtap.tmp sql/pgtap.sql

sql/uninstall_pgtap.sql: sql/uninstall_pgtap.sql.in test/setup.sql
	cp sql/uninstall_pgtap.sql.in sql/uninstall_pgtap.sql
ifeq ($(shell echo $(VERSION) | grep -qE "8[.][123]" && echo yes || echo no),yes)
	patch -p0 < compat/uninstall-8.3.patch
endif
ifeq ($(shell echo $(VERSION) | grep -qE "8[.][12]" && echo yes || echo no),yes)
	patch -p0 < compat/uninstall-8.2.patch
endif

sql/pgtap-core.sql: sql/pgtap.sql.in
	cp $< $@
	sed -e 's,sql/pgtap,sql/pgtap-core,g' compat/install-8.4.patch | patch -p0
	sed -e 's,sql/pgtap,sql/pgtap-core,g' compat/install-8.3.patch | patch -p0
	sed -e 's,MODULE_PATHNAME,$$libdir/pgtap,g' -e 's,__OS__,$(OSNAME),g' -e 's,__VERSION__,$(NUMVERSION),g' sql/pgtap-core.sql > sql/pgtap-core.tmp
	$(PERL) compat/gencore 0 sql/pgtap-core.tmp > sql/pgtap-core.sql
	rm sql/pgtap-core.tmp

sql/pgtap-schema.sql: sql/pgtap.sql.in
	cp $< $@
	sed -e 's,sql/pgtap,sql/pgtap-schema,g' compat/install-9.0.patch | patch -p0
	sed -e 's,sql/pgtap,sql/pgtap-schema,g' compat/install-8.4.patch | patch -p0
	sed -e 's,sql/pgtap,sql/pgtap-schema,g' compat/install-8.3.patch | patch -p0
	sed -e 's,MODULE_PATHNAME,$$libdir/pgtap,g' -e 's,__OS__,$(OSNAME),g' -e 's,__VERSION__,$(NUMVERSION),g' sql/pgtap-schema.sql > sql/pgtap-schema.tmp
	$(PERL) compat/gencore 1 sql/pgtap-schema.tmp > sql/pgtap-schema.sql
	rm sql/pgtap-schema.tmp

# Make sure that we build the regression tests.
installcheck: test/setup.sql

# In addition to installcheck, one can also run the tests through pg_prove.
test: test/setup.sql
	pg_prove --pset tuples_only=1 $(TESTS)

html:
	multimarkdown doc/pgtap.mmd > doc/pgtap.html
	./tocgen doc/pgtap.html 2> doc/toc.html
	perl -MPod::Simple::XHTML -E "my \$$p = Pod::Simple::XHTML->new; \$$p->html_header_tags('<meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">'); \$$p->strip_verbatim_indent(sub { my \$$l = shift; (my \$$i = \$$l->[0]) =~ s/\\S.*//; \$$i }); \$$p->parse_from_file('`perldoc -l pg_prove`')" > doc/pg_prove.html

=== debian/changelog ===
pgtap (0.95.0-3) unstable; urgency=medium

  * Pull patch from upstream to fix 9.5 installcheck failure.

 -- Christoph Berg <myon@debian.org>  Fri, 08 Jan 2016 20:49:59 +0100

pgtap (0.95.0-2) unstable; urgency=medium

  * Install html documentation instead of mmd.
  * Make pgtap a useful meta package depending on the PostgreSQL extension and
    libtap-parser-sourcehandler-pgtap-perl which provides pg_prove.
  * Use "pg_buildext loop" in rules file and fix installcheck tests.
  * Add myself to Uploaders.

 -- Christoph Berg <myon@debian.org>  Sat, 19 Dec 2015 21:20:03 +0100

pgtap (0.95.0-1) unstable; urgency=medium

  [ Markus Wanner ]
  * New upstream release 0.95.0. Closes: #723176, #729559, #784686.
  * Change to team maintenance, add myself as an uploader.
  * Allow per-Postgres-major-version packages, add a separate -doc one.
  * Add pgversions to restrict building against PostgreSQL 8.4 and newer
    (older versions would require compiling a C extension, which we don't
    support).
  * Update build dependencies, drop dependencies on libpq, add a
    dependency on the postgres server package.
  * Add an autopkgtest on installcheck.
  * Adjust watch-file to monitor releases on github.
  * Bump S-V to 3.9.6.
  * Add Vcs-* fields for the new git packaging repository.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 08 Sep 2015 12:03:59 +0200

=== debian/control ===
Source: pgtap
Priority: extra
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Pierre Chifflier <pollux@debian.org>,
    Christoph Berg <myon@debian.org>,
    Markus Wanner <markus@bluegap.ch>
Build-Depends: debhelper (>= 8),
    postgresql-server-dev-all (>= 153~),
    libtap-parser-sourcehandler-pgtap-perl,
    libtext-multimarkdown-perl
Standards-Version: 3.9.6
Section: database
Homepage: http://pgtap.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/pgtap.git
Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-postgresql/pgtap.git

Package: pgtap
Architecture: all
Depends: ${misc:Depends},
    postgresql-pgtap,
    libtap-parser-sourcehandler-pgtap-perl,
Description: Unit testing framework for PostgreSQL
 pgTAP is a suite of database functions that make it easy to write
 TAP-emitting unit tests in psql scripts suitable for harvesting,
 analysis, and reporting by a TAP harness, such as those used in Perl
 and PHP applications.
 .
 TAP is the Test Anything Protocol (http://testanything.org/).
 .
 This meta package depends on the PostgreSQL extension and the package
 providing pg_prove.

Package: pgtap-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Unit testing framework for PostgreSQL
 pgTAP is a suite of database functions that make it easy to write
 TAP-emitting unit tests in psql scripts suitable for harvesting,
 analysis, and reporting by a TAP harness, such as those used in Perl
 and PHP applications.
 .
 TAP is the Test Anything Protocol (http://testanything.org/).
 .
 This package contains the documentation for pgTAP.

Package: postgresql-9.5-pgtap
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
    ${perl:Depends},
    postgresql-9.5
Replaces: pgtap (<< 0.95)
Breaks: pgtap (<< 0.95)
Recommends: pgtap-doc,
    libtap-parser-sourcehandler-pgtap-perl,
    libtest-harness-perl,
    libtap-harness-archive-perl
Provides: postgresql-pgtap
Description: Unit testing framework extension for PostgreSQL 9.5
 pgTAP is a suite of database functions that make it easy to write
 TAP-emitting unit tests in psql scripts suitable for harvesting,
 analysis, and reporting by a TAP harness, such as those used in Perl
 and PHP applications.
 .
 TAP is the Test Anything Protocol (http://testanything.org/).
 .
 This package contains the extension for PostgreSQL 9.5.

=== debian/tests/control ===
Depends: @, postgresql-server-dev-all, make
Tests: installcheck
Restrictions: allow-stderr

## pgtap 0.96.0

=== Makefile ===
--- 
+++ 
@@ -41,8 +41,12 @@
 endif
 
 # We need Perl.
+ifneq (,$(findstring missing,$(PERL)))
+PERL := $(shell which perl)
+else
 ifndef PERL
 PERL := $(shell which perl)
+endif
 endif
 
 # Is TAP::Parser::SourceHandler::pgTAP installed?
@@ -93,6 +97,12 @@
 
 sql/pgtap.sql: sql/pgtap.sql.in test/setup.sql
 	cp $< $@
+ifeq ($(shell echo $(VERSION) | grep -qE "9[.][012]|8[.][1234]" && echo yes || echo no),yes)
+	patch -p0 < compat/install-9.2.patch
+endif
+ifeq ($(shell echo $(VERSION) | grep -qE "9[.][01]|8[.][1234]" && echo yes || echo no),yes)
+	patch -p0 < compat/install-9.1.patch
+endif
 ifeq ($(shell echo $(VERSION) | grep -qE "9[.]0|8[.][1234]" && echo yes || echo no),yes)
 	patch -p0 < compat/install-9.0.patch
 endif
@@ -111,14 +121,8 @@
 	sed -e 's,MODULE_PATHNAME,$$libdir/pgtap,g' -e 's,__OS__,$(OSNAME),g' -e 's,__VERSION__,$(NUMVERSION),g' sql/pgtap.sql > sql/pgtap.tmp
 	mv sql/pgtap.tmp sql/pgtap.sql
 
-sql/uninstall_pgtap.sql: sql/uninstall_pgtap.sql.in test/setup.sql
-	cp sql/uninstall_pgtap.sql.in sql/uninstall_pgtap.sql
-ifeq ($(shell echo $(VERSION) | grep -qE "8[.][123]" && echo yes || echo no),yes)
-	patch -p0 < compat/uninstall-8.3.patch
-endif
-ifeq ($(shell echo $(VERSION) | grep -qE "8[.][12]" && echo yes || echo no),yes)
-	patch -p0 < compat/uninstall-8.2.patch
-endif
+sql/uninstall_pgtap.sql: sql/pgtap.sql test/setup.sql
+	grep '^CREATE ' sql/pgtap.sql | $(PERL) -e 'for (reverse <STDIN>) { chomp; s/CREATE (OR REPLACE)?/DROP/; print "$$_;\n" }' > sql/uninstall_pgtap.sql
 
 sql/pgtap-core.sql: sql/pgtap.sql.in
 	cp $< $@
@@ -130,6 +134,8 @@
 
 sql/pgtap-schema.sql: sql/pgtap.sql.in
 	cp $< $@
+	sed -e 's,sql/pgtap,sql/pgtap-schema,g' compat/install-9.2.patch | patch -p0
+	sed -e 's,sql/pgtap,sql/pgtap-schema,g' compat/install-9.1.patch | patch -p0
 	sed -e 's,sql/pgtap,sql/pgtap-schema,g' compat/install-9.0.patch | patch -p0
 	sed -e 's,sql/pgtap,sql/pgtap-schema,g' compat/install-8.4.patch | patch -p0
 	sed -e 's,sql/pgtap,sql/pgtap-schema,g' compat/install-8.3.patch | patch -p0

=== debian/changelog ===
pgtap (0.96.0-2) unstable; urgency=medium

  * Use debian/tests/control.in to correctly depend on
    postgresql-contrib-*, bump pg-server-dev-all requirement to
    (>= 171~) for this.
  * debian/tests/installcheck: Rebuilt sql/pgtap.sql, it is version-dependant.

 -- Christoph Berg <myon@debian.org>  Sat, 04 Jun 2016 18:26:19 +0200

pgtap (0.96.0-1) unstable; urgency=medium

  * New upstream release: 0.96.0.
  * Update d/copyright, alter to machine readable format.
  * Extend the short descriptions of pgtap and pgtap-doc, so they
    are slightly different.
  * Bump S-V: no changes required
  * Add doc-base registration for pgtap-doc.
  * Use secure link for the Vcs-Browser field.
  * Bump d/compat to require version 9.
  * Add postgresql-contrib to the autopkgtest requirements.

 -- Markus Wanner <markus@bluegap.ch>  Fri, 03 Jun 2016 19:41:48 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Uploaders: Pierre Chifflier <pollux@debian.org>,
     Christoph Berg <myon@debian.org>,
     Markus Wanner <markus@bluegap.ch>
-Build-Depends: debhelper (>= 8),
-    postgresql-server-dev-all (>= 153~),
+Build-Depends: debhelper (>= 9~),
+    postgresql-server-dev-all (>= 171~),
     libtap-parser-sourcehandler-pgtap-perl,
     libtext-multimarkdown-perl
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Section: database
 Homepage: http://pgtap.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/pgtap.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-postgresql/pgtap.git
 Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-postgresql/pgtap.git
 
 Package: pgtap
@@ -19,7 +19,7 @@
 Depends: ${misc:Depends},
     postgresql-pgtap,
     libtap-parser-sourcehandler-pgtap-perl,
-Description: Unit testing framework for PostgreSQL
+Description: Unit testing framework for PostgreSQL - metapackage
  pgTAP is a suite of database functions that make it easy to write
  TAP-emitting unit tests in psql scripts suitable for harvesting,
  analysis, and reporting by a TAP harness, such as those used in Perl
@@ -27,14 +27,14 @@
  .
  TAP is the Test Anything Protocol (http://testanything.org/).
  .
- This meta package depends on the PostgreSQL extension and the package
+ This metapackage depends on the PostgreSQL extension and the package
  providing pg_prove.
 
 Package: pgtap-doc
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Description: Unit testing framework for PostgreSQL
+Description: Unit testing framework for PostgreSQL - documentation
  pgTAP is a suite of database functions that make it easy to write
  TAP-emitting unit tests in psql scripts suitable for harvesting,
  analysis, and reporting by a TAP harness, such as those used in Perl

=== debian/tests/control ===
Depends: @, postgresql-server-dev-all, postgresql-contrib-9.5, make, patch
Tests: installcheck
Restrictions: allow-stderr

## pgtap 0.97.0

=== Makefile ===
--- 
+++ 
@@ -3,13 +3,17 @@
 EXTVERSION   = $(shell grep default_version $(MAINEXT).control | \
 			   sed -e "s/default_version[[:space:]]*=[[:space:]]*'\([^']*\)'/\1/")
 NUMVERSION   = $(shell echo $(EXTVERSION) | sed -e 's/\([[:digit:]]*[.][[:digit:]]*\).*/\1/')
-DATA         = $(wildcard sql/*--*.sql)
+_IN_FILES 	 = $(wildcard sql/*--*.sql.in)
+_IN_PATCHED	 = $(_IN_FILES:.in=)
 TESTS        = $(wildcard test/sql/*.sql)
 EXTRA_CLEAN  = sql/pgtap.sql sql/uninstall_pgtap.sql sql/pgtap-core.sql sql/pgtap-schema.sql doc/*.html
 DOCS         = doc/pgtap.mmd
 REGRESS      = $(patsubst test/sql/%.sql,%,$(TESTS))
 REGRESS_OPTS = --inputdir=test --load-language=plpgsql
 PG_CONFIG   ?= pg_config
+
+# sort is necessary to remove dupes so install won't complain
+DATA         = $(sort $(wildcard sql/*--*.sql) $(_IN_PATCHED)) # NOTE! This gets reset below!
 
 ifdef NO_PGXS
 top_builddir = ../..
@@ -76,7 +80,8 @@
 OSNAME := $(shell $(SHELL) ./getos.sh)
 
 # Make sure we build these.
-all: sql/pgtap.sql sql/uninstall_pgtap.sql sql/pgtap-core.sql sql/pgtap-schema.sql
+EXTRA_CLEAN += $(_IN_PATCHED)
+all: $(_IN_PATCHED) sql/pgtap.sql sql/uninstall_pgtap.sql sql/pgtap-core.sql sql/pgtap-schema.sql
 
 # Add extension build targets on 9.1 and up.
 ifeq ($(shell echo $(VERSION) | grep -qE "8[.]|9[.]0" && echo no || echo yes),yes)
@@ -91,12 +96,17 @@
 sql/$(MAINEXT)-schema--$(EXTVERSION).sql: sql/$(MAINEXT)-schema.sql
 	cp $< $@
 
-DATA = $(wildcard sql/*--*.sql)
+# I think this can go away...
+DATA         = $(sort $(wildcard sql/*--*.sql) $(_IN_PATCHED))
+
 EXTRA_CLEAN += sql/$(MAINEXT)--$(EXTVERSION).sql sql/$(MAINEXT)-core--$(EXTVERSION).sql sql/$(MAINEXT)-schema--$(EXTVERSION).sql
 endif
 
 sql/pgtap.sql: sql/pgtap.sql.in test/setup.sql
 	cp $< $@
+ifeq ($(shell echo $(VERSION) | grep -qE "9[.][01234]|8[.][1234]" && echo yes || echo no),yes)
+	patch -p0 < compat/install-9.4.patch
+endif
 ifeq ($(shell echo $(VERSION) | grep -qE "9[.][012]|8[.][1234]" && echo yes || echo no),yes)
 	patch -p0 < compat/install-9.2.patch
 endif
@@ -120,6 +130,23 @@
 endif
 	sed -e 's,MODULE_PATHNAME,$$libdir/pgtap,g' -e 's,__OS__,$(OSNAME),g' -e 's,__VERSION__,$(NUMVERSION),g' sql/pgtap.sql > sql/pgtap.tmp
 	mv sql/pgtap.tmp sql/pgtap.sql
+
+# Ugly hack for now...
+EXTRA_CLEAN += sql/pgtap--0.96.0--0.97.0.sql
+sql/pgtap--0.96.0--0.97.0.sql: sql/pgtap--0.96.0--0.97.0.sql.in
+	cp $< $@
+ifeq ($(shell echo $(VERSION) | grep -qE "9[.][01234]|8[.][1234]" && echo yes || echo no),yes)
+	patch -p0 < compat/9.4/pgtap--0.96.0--0.97.0.patch
+endif
+ifeq ($(shell echo $(VERSION) | grep -qE "9[.]0|8[.][1234]" && echo yes || echo no),yes)
+	patch -p0 < compat/9.0/pgtap--0.96.0--0.97.0.patch
+endif
+EXTRA_CLEAN += sql/pgtap--0.95.0--0.96.0.sql
+sql/pgtap--0.95.0--0.96.0.sql: sql/pgtap--0.95.0--0.96.0.sql.in
+	cp $< $@
+ifeq ($(shell echo $(VERSION) | grep -qE "9[.][012]|8[.][1234]" && echo yes || echo no),yes)
+	patch -p0 < compat/9.2/pgtap--0.95.0--0.96.0.patch
+endif
 
 sql/uninstall_pgtap.sql: sql/pgtap.sql test/setup.sql
 	grep '^CREATE ' sql/pgtap.sql | $(PERL) -e 'for (reverse <STDIN>) { chomp; s/CREATE (OR REPLACE)?/DROP/; print "$$_;\n" }' > sql/uninstall_pgtap.sql

=== debian/changelog ===
pgtap (0.97.0-2) unstable; urgency=medium

  * Rebuild after rebase on top of 0.96.0-3.
  * Drop patch 9.6, it's included upstream.

 -- Markus Wanner <markus@bluegap.ch>  Sat, 03 Dec 2016 09:13:03 +0100

pgtap (0.97.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patch Makefile-doc, add DEP3 tags.
  * Update debian/control: build against Postgres 9.6 by default.

 -- Markus Wanner <markus@bluegap.ch>  Sat, 03 Dec 2016 08:50:17 +0100

pgtap (0.96.0-3) unstable; urgency=medium

  * Upload with 9.6 support.

 -- Christoph Berg <myon@debian.org>  Sat, 24 Sep 2016 12:21:03 +0200

=== debian/control ===
--- 
+++ 
@@ -44,11 +44,11 @@
  .
  This package contains the documentation for pgTAP.
 
-Package: postgresql-9.5-pgtap
+Package: postgresql-9.6-pgtap
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends},
     ${perl:Depends},
-    postgresql-9.5
+    postgresql-9.6
 Replaces: pgtap (<< 0.95)
 Breaks: pgtap (<< 0.95)
 Recommends: pgtap-doc,
@@ -56,7 +56,7 @@
     libtest-harness-perl,
     libtap-harness-archive-perl
 Provides: postgresql-pgtap
-Description: Unit testing framework extension for PostgreSQL 9.5
+Description: Unit testing framework extension for PostgreSQL 9.6
  pgTAP is a suite of database functions that make it easy to write
  TAP-emitting unit tests in psql scripts suitable for harvesting,
  analysis, and reporting by a TAP harness, such as those used in Perl
@@ -64,5 +64,5 @@
  .
  TAP is the Test Anything Protocol (http://testanything.org/).
  .
- This package contains the extension for PostgreSQL 9.5.
+ This package contains the extension for PostgreSQL 9.6.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Written by Pierre Chifflier <pollux@debian.org> and
#            Markus Wanner <markus@bluegap.ch>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Using pg_buildext
include /usr/share/postgresql-common/pgxs_debian_control.mk

%:
	dh $@

override_dh_auto_build:

override_dh_auto_test:
	# nothing to do here, see debian/tests/* instead

override_dh_auto_install:
	+pg_buildext loop postgresql-%v-pgtap
	# remove extra documentation copies
	rm -rf debian/*/usr/share/doc/postgresql-doc-*/

override_dh_installdocs:
	# build docs here because "pg_buildext loop" invokes "make clean"
	$(MAKE) html
	dh_installdocs

override_dh_auto_clean:
	$(MAKE) clean

=== debian/tests/control ===
Depends: @, postgresql-server-dev-all, postgresql-contrib-9.6, make, patch
Tests: installcheck
Restrictions: allow-stderr

## pgtap 0.98.0-22

=== Makefile ===
--- 
+++ 
@@ -3,18 +3,18 @@
 EXTVERSION   = $(shell grep default_version $(MAINEXT).control | \
 			   sed -e "s/default_version[[:space:]]*=[[:space:]]*'\([^']*\)'/\1/")
 NUMVERSION   = $(shell echo $(EXTVERSION) | sed -e 's/\([[:digit:]]*[.][[:digit:]]*\).*/\1/')
+VERSION_FILES = sql/$(MAINEXT)--$(EXTVERSION).sql sql/$(MAINEXT)-core--$(EXTVERSION).sql sql/$(MAINEXT)-schema--$(EXTVERSION).sql
+BASE_FILES 	 = $(subst --$(EXTVERSION),,$(VERSION_FILES)) sql/uninstall_$(MAINEXT).sql
 _IN_FILES 	 = $(wildcard sql/*--*.sql.in)
 _IN_PATCHED	 = $(_IN_FILES:.in=)
 TESTS        = $(wildcard test/sql/*.sql)
-EXTRA_CLEAN  = sql/pgtap.sql sql/uninstall_pgtap.sql sql/pgtap-core.sql sql/pgtap-schema.sql doc/*.html
+EXTRA_CLEAN  = $(VERSION_FILES) sql/pgtap.sql sql/uninstall_pgtap.sql sql/pgtap-core.sql sql/pgtap-schema.sql doc/*.html
+EXTRA_CLEAN  += $(wildcard sql/*.orig) # These are files left behind by patch
 DOCS         = doc/pgtap.mmd
 REGRESS      = $(patsubst test/sql/%.sql,%,$(TESTS))
 REGRESS_OPTS = --inputdir=test --load-language=plpgsql
 PG_CONFIG   ?= pg_config
 
-# sort is necessary to remove dupes so install won't complain
-DATA         = $(sort $(wildcard sql/*--*.sql) $(_IN_PATCHED)) # NOTE! This gets reset below!
-
 ifdef NO_PGXS
 top_builddir = ../..
 PG_CONFIG := $(top_builddir)/src/bin/pg_config/pg_config
@@ -34,6 +34,30 @@
 # Compile the C code only if we're on 8.3 or older.
 ifeq ($(shell echo $(VERSION) | grep -qE "8[.][123]" && echo yes || echo no),yes)
 MODULES = src/pgtap
+endif
+
+# Make sure we build these.
+EXTRA_CLEAN += $(_IN_PATCHED)
+all: $(_IN_PATCHED) sql/pgtap.sql sql/uninstall_pgtap.sql sql/pgtap-core.sql sql/pgtap-schema.sql
+
+# Add extension build targets on 9.1 and up.
+ifeq ($(shell echo $(VERSION) | grep -qE "8[.]|9[.]0" && echo no || echo yes),yes)
+all: sql/$(MAINEXT)--$(EXTVERSION).sql sql/$(MAINEXT)-core--$(EXTVERSION).sql sql/$(MAINEXT)-schema--$(EXTVERSION).sql
+
+sql/$(MAINEXT)--$(EXTVERSION).sql: sql/$(MAINEXT).sql
+	cp $< $@
+
+sql/$(MAINEXT)-core--$(EXTVERSION).sql: sql/$(MAINEXT)-core.sql
+	cp $< $@
+
+sql/$(MAINEXT)-schema--$(EXTVERSION).sql: sql/$(MAINEXT)-schema.sql
+	cp $< $@
+
+# sort is necessary to remove dupes so install won't complain
+DATA = $(sort $(wildcard sql/*--*.sql) $(BASE_FILES) $(VERSION_FILES) $(_IN_PATCHED))
+else
+# No extension support, just install the base files.
+DATA = $(BASE_FILES)
 endif
 
 # Load PGXS now that we've set all the variables it might need.
@@ -76,34 +100,25 @@
 REGRESS := $(filter-out enumtap valueset,$(REGRESS))
 endif
 
+# Partition tests tests not supported by 9.x and earlier.
+ifeq ($(shell echo $(VERSION) | grep -qE "[89][.]" && echo yes || echo no),yes)
+TESTS   := $(filter-out test/sql/partitions.sql,$(TESTS))
+REGRESS := $(filter-out partitions,$(REGRESS))
+endif
+
 # Determine the OS. Borrowed from Perl's Configure.
 OSNAME := $(shell $(SHELL) ./getos.sh)
 
-# Make sure we build these.
-EXTRA_CLEAN += $(_IN_PATCHED)
-all: $(_IN_PATCHED) sql/pgtap.sql sql/uninstall_pgtap.sql sql/pgtap-core.sql sql/pgtap-schema.sql
-
-# Add extension build targets on 9.1 and up.
-ifeq ($(shell echo $(VERSION) | grep -qE "8[.]|9[.]0" && echo no || echo yes),yes)
-all: sql/$(MAINEXT)--$(EXTVERSION).sql sql/$(MAINEXT)-core--$(EXTVERSION).sql sql/$(MAINEXT)-schema--$(EXTVERSION).sql
-
-sql/$(MAINEXT)--$(EXTVERSION).sql: sql/$(MAINEXT).sql
-	cp $< $@
-
-sql/$(MAINEXT)-core--$(EXTVERSION).sql: sql/$(MAINEXT)-core.sql
-	cp $< $@
-
-sql/$(MAINEXT)-schema--$(EXTVERSION).sql: sql/$(MAINEXT)-schema.sql
-	cp $< $@
-
-# I think this can go away...
-DATA         = $(sort $(wildcard sql/*--*.sql) $(_IN_PATCHED))
-
-EXTRA_CLEAN += sql/$(MAINEXT)--$(EXTVERSION).sql sql/$(MAINEXT)-core--$(EXTVERSION).sql sql/$(MAINEXT)-schema--$(EXTVERSION).sql
-endif
+.PHONY: test
 
 sql/pgtap.sql: sql/pgtap.sql.in test/setup.sql
 	cp $< $@
+ifeq ($(shell echo $(VERSION) | grep -qE "([98]|10)[.]" && echo yes || echo no),yes)
+	patch -p0 < compat/install-10.patch
+endif
+ifeq ($(shell echo $(VERSION) | grep -qE "9[.][0123456]|8[.][1234]" && echo yes || echo no),yes)
+	patch -p0 < compat/install-9.6.patch
+endif
 ifeq ($(shell echo $(VERSION) | grep -qE "9[.][01234]|8[.][1234]" && echo yes || echo no),yes)
 	patch -p0 < compat/install-9.4.patch
 endif
@@ -131,7 +146,14 @@
 	sed -e 's,MODULE_PATHNAME,$$libdir/pgtap,g' -e 's,__OS__,$(OSNAME),g' -e 's,__VERSION__,$(NUMVERSION),g' sql/pgtap.sql > sql/pgtap.tmp
 	mv sql/pgtap.tmp sql/pgtap.sql
 
-# Ugly hack for now...
+# Ugly hacks for now...
+EXTRA_CLEAN += sql/pgtap--0.97.0--0.98.0.sql
+sql/pgtap--0.97.0--0.98.0.sql: sql/pgtap--0.97.0--0.98.0.sql.in
+	cp $< $@
+ifeq ($(shell echo $(VERSION) | grep -qE "[89][.]" && echo yes || echo no),yes)
+	patch -p0 < compat/9.6/pgtap--0.97.0--0.98.0.patch
+endif
+
 EXTRA_CLEAN += sql/pgtap--0.96.0--0.97.0.sql
 sql/pgtap--0.96.0--0.97.0.sql: sql/pgtap--0.96.0--0.97.0.sql.in
 	cp $< $@
@@ -141,6 +163,7 @@
 ifeq ($(shell echo $(VERSION) | grep -qE "9[.]0|8[.][1234]" && echo yes || echo no),yes)
 	patch -p0 < compat/9.0/pgtap--0.96.0--0.97.0.patch
 endif
+
 EXTRA_CLEAN += sql/pgtap--0.95.0--0.96.0.sql
 sql/pgtap--0.95.0--0.96.0.sql: sql/pgtap--0.95.0--0.96.0.sql.in
 	cp $< $@
@@ -151,24 +174,25 @@
 sql/uninstall_pgtap.sql: sql/pgtap.sql test/setup.sql
 	grep '^CREATE ' sql/pgtap.sql | $(PERL) -e 'for (reverse <STDIN>) { chomp; s/CREATE (OR REPLACE)?/DROP/; print "$$_;\n" }' > sql/uninstall_pgtap.sql
 
-sql/pgtap-core.sql: sql/pgtap.sql.in
-	cp $< $@
-	sed -e 's,sql/pgtap,sql/pgtap-core,g' compat/install-8.4.patch | patch -p0
-	sed -e 's,sql/pgtap,sql/pgtap-core,g' compat/install-8.3.patch | patch -p0
-	sed -e 's,MODULE_PATHNAME,$$libdir/pgtap,g' -e 's,__OS__,$(OSNAME),g' -e 's,__VERSION__,$(NUMVERSION),g' sql/pgtap-core.sql > sql/pgtap-core.tmp
-	$(PERL) compat/gencore 0 sql/pgtap-core.tmp > sql/pgtap-core.sql
-	rm sql/pgtap-core.tmp
-
-sql/pgtap-schema.sql: sql/pgtap.sql.in
-	cp $< $@
-	sed -e 's,sql/pgtap,sql/pgtap-schema,g' compat/install-9.2.patch | patch -p0
-	sed -e 's,sql/pgtap,sql/pgtap-schema,g' compat/install-9.1.patch | patch -p0
-	sed -e 's,sql/pgtap,sql/pgtap-schema,g' compat/install-9.0.patch | patch -p0
-	sed -e 's,sql/pgtap,sql/pgtap-schema,g' compat/install-8.4.patch | patch -p0
-	sed -e 's,sql/pgtap,sql/pgtap-schema,g' compat/install-8.3.patch | patch -p0
-	sed -e 's,MODULE_PATHNAME,$$libdir/pgtap,g' -e 's,__OS__,$(OSNAME),g' -e 's,__VERSION__,$(NUMVERSION),g' sql/pgtap-schema.sql > sql/pgtap-schema.tmp
-	$(PERL) compat/gencore 1 sql/pgtap-schema.tmp > sql/pgtap-schema.sql
-	rm sql/pgtap-schema.tmp
+sql/pgtap-static.sql: sql/pgtap.sql.in
+	cp $< $@
+	sed -e 's,sql/pgtap,sql/pgtap-static,g' compat/install-10.patch | patch -p0
+	sed -e 's,sql/pgtap,sql/pgtap-static,g' compat/install-9.6.patch | patch -p0
+	sed -e 's,sql/pgtap,sql/pgtap-static,g' compat/install-9.4.patch | patch -p0
+	sed -e 's,sql/pgtap,sql/pgtap-static,g' compat/install-9.2.patch | patch -p0
+	sed -e 's,sql/pgtap,sql/pgtap-static,g' compat/install-9.1.patch | patch -p0
+	sed -e 's,sql/pgtap,sql/pgtap-static,g' compat/install-9.0.patch | patch -p0
+	sed -e 's,sql/pgtap,sql/pgtap-static,g' compat/install-8.4.patch | patch -p0
+	sed -e 's,sql/pgtap,sql/pgtap-static,g' compat/install-8.3.patch | patch -p0
+	sed -e 's,MODULE_PATHNAME,$$libdir/pgtap,g' -e 's,__OS__,$(OSNAME),g' -e 's,__VERSION__,$(NUMVERSION),g' $@ > sql/pgtap-static.tmp
+	mv sql/pgtap-static.tmp $@
+EXTRA_CLEAN += sql/pgtap-static.sql
+
+sql/pgtap-core.sql: sql/pgtap-static.sql
+	$(PERL) compat/gencore 0 sql/pgtap-static.sql > sql/pgtap-core.sql
+
+sql/pgtap-schema.sql: sql/pgtap-static.sql
+	$(PERL) compat/gencore 1 sql/pgtap-static.sql > sql/pgtap-schema.sql
 
 # Make sure that we build the regression tests.
 installcheck: test/setup.sql
@@ -181,3 +205,6 @@
 	multimarkdown doc/pgtap.mmd > doc/pgtap.html
 	./tocgen doc/pgtap.html 2> doc/toc.html
 	perl -MPod::Simple::XHTML -E "my \$$p = Pod::Simple::XHTML->new; \$$p->html_header_tags('<meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">'); \$$p->strip_verbatim_indent(sub { my \$$l = shift; (my \$$i = \$$l->[0]) =~ s/\\S.*//; \$$i }); \$$p->parse_from_file('`perldoc -l pg_prove`')" > doc/pg_prove.html
+
+# To use this, do make print-VARIABLE_NAME
+print-%	: ; $(info $* is $(flavor $*) variable set to "$($*)") @true

## pgtap 0.98.0-22-gda005fb

=== debian/changelog ===
pgtap (0.98.0-22-gda005fb-1) unstable; urgency=medium

  * New upstream snapshot.
  * Move packaging repository to salsa.debian.org
  * Move maintainer address to team+postgresql@tracker.debian.org.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 31 Jul 2018 13:05:05 +0200

pgtap (0.97.0-3) unstable; urgency=medium

  * Team upload.

  [ Michael Banck ]
  * debian/patches/v10-testsuite.patch: New patch, adds v10 compatibility to
    the testsuite.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 26 Sep 2017 10:04:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: pgtap
-Priority: extra
-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Pierre Chifflier <pollux@debian.org>,
     Christoph Berg <myon@debian.org>,
     Markus Wanner <markus@bluegap.ch>
@@ -8,11 +8,11 @@
     postgresql-server-dev-all (>= 171~),
     libtap-parser-sourcehandler-pgtap-perl,
     libtext-multimarkdown-perl
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Section: database
 Homepage: http://pgtap.org/
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-postgresql/pgtap.git
-Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-postgresql/pgtap.git
+Vcs-Browser: https://salsa.debian.org/postgresql/pgtap
+Vcs-Git: https://salsa.debian.org/postgresql/pgtap.git
 
 Package: pgtap
 Architecture: all
@@ -44,11 +44,11 @@
  .
  This package contains the documentation for pgTAP.
 
-Package: postgresql-9.6-pgtap
+Package: postgresql-10-pgtap
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends},
     ${perl:Depends},
-    postgresql-9.6
+    postgresql-10
 Replaces: pgtap (<< 0.95)
 Breaks: pgtap (<< 0.95)
 Recommends: pgtap-doc,
@@ -56,7 +56,7 @@
     libtest-harness-perl,
     libtap-harness-archive-perl
 Provides: postgresql-pgtap
-Description: Unit testing framework extension for PostgreSQL 9.6
+Description: Unit testing framework extension for PostgreSQL 10
  pgTAP is a suite of database functions that make it easy to write
  TAP-emitting unit tests in psql scripts suitable for harvesting,
  analysis, and reporting by a TAP harness, such as those used in Perl
@@ -64,5 +64,5 @@
  .
  TAP is the Test Anything Protocol (http://testanything.org/).
  .
- This package contains the extension for PostgreSQL 9.6.
+ This package contains the extension for PostgreSQL 10.

## pgtap 0.99.0

=== Makefile ===
--- 
+++ 
@@ -27,12 +27,12 @@
 VERSION = $(shell $(PG_CONFIG) --version | awk '{print $$2}')
 
 # We support 8.1 and later.
-ifeq ($(shell echo $(VERSION) | grep -qE " 7[.]|8[.]0" && echo yes || echo no),yes)
+ifeq ($(shell echo $(VERSION) | grep -qE "^(7[.]|8[.]0)" && echo yes || echo no),yes)
 $(error pgTAP requires PostgreSQL 8.1 or later. This is $(VERSION))
 endif
 
 # Compile the C code only if we're on 8.3 or older.
-ifeq ($(shell echo $(VERSION) | grep -qE "8[.][123]" && echo yes || echo no),yes)
+ifeq ($(shell echo $(VERSION) | grep -qE "^8[.][123]" && echo yes || echo no),yes)
 MODULES = src/pgtap
 endif
 
@@ -41,7 +41,7 @@
 all: $(_IN_PATCHED) sql/pgtap.sql sql/uninstall_pgtap.sql sql/pgtap-core.sql sql/pgtap-schema.sql
 
 # Add extension build targets on 9.1 and up.
-ifeq ($(shell echo $(VERSION) | grep -qE "8[.]|9[.]0" && echo no || echo yes),yes)
+ifeq ($(shell echo $(VERSION) | grep -qE "^(8[.]|9[.]0)" && echo no || echo yes),yes)
 all: sql/$(MAINEXT)--$(EXTVERSION).sql sql/$(MAINEXT)-core--$(EXTVERSION).sql sql/$(MAINEXT)-schema--$(EXTVERSION).sql
 
 sql/$(MAINEXT)--$(EXTVERSION).sql: sql/$(MAINEXT).sql
@@ -89,19 +89,19 @@
 endif
 
 # Enum tests not supported by 8.2 and earlier.
-ifeq ($(shell echo $(VERSION) | grep -qE "8[.][12]" && echo yes || echo no),yes)
+ifeq ($(shell echo $(VERSION) | grep -qE "^8[.][12]" && echo yes || echo no),yes)
 TESTS   := $(filter-out test/sql/enumtap.sql,$(TESTS))
 REGRESS := $(filter-out enumtap,$(REGRESS))
 endif
 
 # Values tests not supported by 8.1 and earlier.
-ifeq ($(shell echo $(VERSION) | grep -qE "8[.][1]" && echo yes || echo no),yes)
+ifeq ($(shell echo $(VERSION) | grep -qE "^8[.][1]" && echo yes || echo no),yes)
 TESTS   := $(filter-out test/sql/enumtap.sql sql/valueset.sql,$(TESTS))
 REGRESS := $(filter-out enumtap valueset,$(REGRESS))
 endif
 
 # Partition tests tests not supported by 9.x and earlier.
-ifeq ($(shell echo $(VERSION) | grep -qE "[89][.]" && echo yes || echo no),yes)
+ifeq ($(shell echo $(VERSION) | grep -qE "^[89][.]" && echo yes || echo no),yes)
 TESTS   := $(filter-out test/sql/partitions.sql,$(TESTS))
 REGRESS := $(filter-out partitions,$(REGRESS))
 endif
@@ -113,34 +113,34 @@
 
 sql/pgtap.sql: sql/pgtap.sql.in test/setup.sql
 	cp $< $@
-ifeq ($(shell echo $(VERSION) | grep -qE "([98]|10)[.]" && echo yes || echo no),yes)
+ifeq ($(shell echo $(VERSION) | grep -qE "^([98]|10)[.]" && echo yes || echo no),yes)
 	patch -p0 < compat/install-10.patch
 endif
-ifeq ($(shell echo $(VERSION) | grep -qE "9[.][0123456]|8[.][1234]" && echo yes || echo no),yes)
+ifeq ($(shell echo $(VERSION) | grep -qE "^(9[.][0123456]|8[.][1234])" && echo yes || echo no),yes)
 	patch -p0 < compat/install-9.6.patch
 endif
-ifeq ($(shell echo $(VERSION) | grep -qE "9[.][01234]|8[.][1234]" && echo yes || echo no),yes)
+ifeq ($(shell echo $(VERSION) | grep -qE "^(9[.][01234]|8[.][1234])" && echo yes || echo no),yes)
 	patch -p0 < compat/install-9.4.patch
 endif
-ifeq ($(shell echo $(VERSION) | grep -qE "9[.][012]|8[.][1234]" && echo yes || echo no),yes)
+ifeq ($(shell echo $(VERSION) | grep -qE "^(9[.][012]|8[.][1234])" && echo yes || echo no),yes)
 	patch -p0 < compat/install-9.2.patch
 endif
-ifeq ($(shell echo $(VERSION) | grep -qE "9[.][01]|8[.][1234]" && echo yes || echo no),yes)
+ifeq ($(shell echo $(VERSION) | grep -qE "^(9[.][01]|8[.][1234])" && echo yes || echo no),yes)
 	patch -p0 < compat/install-9.1.patch
 endif
-ifeq ($(shell echo $(VERSION) | grep -qE "9[.]0|8[.][1234]" && echo yes || echo no),yes)
+ifeq ($(shell echo $(VERSION) | grep -qE "^(9[.]0|8[.][1234])" && echo yes || echo no),yes)
 	patch -p0 < compat/install-9.0.patch
 endif
-ifeq ($(shell echo $(VERSION) | grep -qE "8[.][1234]" && echo yes || echo no),yes)
+ifeq ($(shell echo $(VERSION) | grep -qE "^8[.][1234]" && echo yes || echo no),yes)
 	patch -p0 < compat/install-8.4.patch
 endif
-ifeq ($(shell echo $(VERSION) | grep -qE "8[.][123]" && echo yes || echo no),yes)
+ifeq ($(shell echo $(VERSION) | grep -qE "^8[.][123]" && echo yes || echo no),yes)
 	patch -p0 < compat/install-8.3.patch
 endif
-ifeq ($(shell echo $(VERSION) | grep -qE "8[.][12]" && echo yes || echo no),yes)
+ifeq ($(shell echo $(VERSION) | grep -qE "^8[.][12]" && echo yes || echo no),yes)
 	patch -p0 < compat/install-8.2.patch
 endif
-ifeq ($(shell echo $(VERSION) | grep -qE "8[.][1]" && echo yes || echo no),yes)
+ifeq ($(shell echo $(VERSION) | grep -qE "^8[.][1]" && echo yes || echo no),yes)
 	patch -p0 < compat/install-8.1.patch
 endif
 	sed -e 's,MODULE_PATHNAME,$$libdir/pgtap,g' -e 's,__OS__,$(OSNAME),g' -e 's,__VERSION__,$(NUMVERSION),g' sql/pgtap.sql > sql/pgtap.tmp
@@ -150,24 +150,24 @@
 EXTRA_CLEAN += sql/pgtap--0.97.0--0.98.0.sql
 sql/pgtap--0.97.0--0.98.0.sql: sql/pgtap--0.97.0--0.98.0.sql.in
 	cp $< $@
-ifeq ($(shell echo $(VERSION) | grep -qE "[89][.]" && echo yes || echo no),yes)
+ifeq ($(shell echo $(VERSION) | grep -qE "^[89][.]" && echo yes || echo no),yes)
 	patch -p0 < compat/9.6/pgtap--0.97.0--0.98.0.patch
 endif
 
 EXTRA_CLEAN += sql/pgtap--0.96.0--0.97.0.sql
 sql/pgtap--0.96.0--0.97.0.sql: sql/pgtap--0.96.0--0.97.0.sql.in
 	cp $< $@
-ifeq ($(shell echo $(VERSION) | grep -qE "9[.][01234]|8[.][1234]" && echo yes || echo no),yes)
+ifeq ($(shell echo $(VERSION) | grep -qE "^(9[.][01234]|8[.][1234])" && echo yes || echo no),yes)
 	patch -p0 < compat/9.4/pgtap--0.96.0--0.97.0.patch
 endif
-ifeq ($(shell echo $(VERSION) | grep -qE "9[.]0|8[.][1234]" && echo yes || echo no),yes)
+ifeq ($(shell echo $(VERSION) | grep -qE "^(9[.]0|8[.][1234])" && echo yes || echo no),yes)
 	patch -p0 < compat/9.0/pgtap--0.96.0--0.97.0.patch
 endif
 
 EXTRA_CLEAN += sql/pgtap--0.95.0--0.96.0.sql
 sql/pgtap--0.95.0--0.96.0.sql: sql/pgtap--0.95.0--0.96.0.sql.in
 	cp $< $@
-ifeq ($(shell echo $(VERSION) | grep -qE "9[.][012]|8[.][1234]" && echo yes || echo no),yes)
+ifeq ($(shell echo $(VERSION) | grep -qE "^(9[.][012]|8[.][1234])" && echo yes || echo no),yes)
 	patch -p0 < compat/9.2/pgtap--0.95.0--0.96.0.patch
 endif
 
@@ -199,7 +199,8 @@
 
 # In addition to installcheck, one can also run the tests through pg_prove.
 test: test/setup.sql
-	pg_prove --pset tuples_only=1 $(TESTS)
+	# Filter-out tests that intentionally fail. They should be tested by installcheck.
+	pg_prove --pset tuples_only=1 $(filter-out test/sql/run%,$(TESTS))
 
 html:
 	multimarkdown doc/pgtap.mmd > doc/pgtap.html

=== debian/changelog ===
pgtap (0.99.0-2.pgdg+2) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Fri, 12 Oct 2018 22:44:47 +0200

pgtap (0.99.0-2) unstable; urgency=medium

  * Upload for PostgreSQL 11.

 -- Christoph Berg <myon@debian.org>  Fri, 12 Oct 2018 22:44:47 +0200

pgtap (0.99.0-1) unstable; urgency=medium

  * New upstream release.
  * Mark pgtap-doc as Multi-Arch: foreign.

 -- Christoph Berg <myon@debian.org>  Wed, 19 Sep 2018 17:52:38 +0200

=== debian/control ===
--- 
+++ 
@@ -33,6 +33,7 @@
 Package: pgtap-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Unit testing framework for PostgreSQL - documentation
  pgTAP is a suite of database functions that make it easy to write
@@ -43,6 +44,94 @@
  TAP is the Test Anything Protocol (http://testanything.org/).
  .
  This package contains the documentation for pgTAP.
+
+Package: postgresql-9.3-pgtap
+Architecture: all
+Depends: ${shlibs:Depends}, ${misc:Depends},
+    ${perl:Depends},
+    postgresql-9.3
+Replaces: pgtap (<< 0.95)
+Breaks: pgtap (<< 0.95)
+Recommends: pgtap-doc,
+    libtap-parser-sourcehandler-pgtap-perl,
+    libtest-harness-perl,
+    libtap-harness-archive-perl
+Provides: postgresql-pgtap
+Description: Unit testing framework extension for PostgreSQL 9.3
+ pgTAP is a suite of database functions that make it easy to write
+ TAP-emitting unit tests in psql scripts suitable for harvesting,
+ analysis, and reporting by a TAP harness, such as those used in Perl
+ and PHP applications.
+ .
+ TAP is the Test Anything Protocol (http://testanything.org/).
+ .
+ This package contains the extension for PostgreSQL 9.3.
+
+Package: postgresql-9.4-pgtap
+Architecture: all
+Depends: ${shlibs:Depends}, ${misc:Depends},
+    ${perl:Depends},
+    postgresql-9.4
+Replaces: pgtap (<< 0.95)
+Breaks: pgtap (<< 0.95)
+Recommends: pgtap-doc,
+    libtap-parser-sourcehandler-pgtap-perl,
+    libtest-harness-perl,
+    libtap-harness-archive-perl
+Provides: postgresql-pgtap
+Description: Unit testing framework extension for PostgreSQL 9.4
+ pgTAP is a suite of database functions that make it easy to write
+ TAP-emitting unit tests in psql scripts suitable for harvesting,
+ analysis, and reporting by a TAP harness, such as those used in Perl
+ and PHP applications.
+ .
+ TAP is the Test Anything Protocol (http://testanything.org/).
+ .
+ This package contains the extension for PostgreSQL 9.4.
+
+Package: postgresql-9.5-pgtap
+Architecture: all
+Depends: ${shlibs:Depends}, ${misc:Depends},
+    ${perl:Depends},
+    postgresql-9.5
+Replaces: pgtap (<< 0.95)
+Breaks: pgtap (<< 0.95)
+Recommends: pgtap-doc,
+    libtap-parser-sourcehandler-pgtap-perl,
+    libtest-harness-perl,
+    libtap-harness-archive-perl
+Provides: postgresql-pgtap
+Description: Unit testing framework extension for PostgreSQL 9.5
+ pgTAP is a suite of database functions that make it easy to write
+ TAP-emitting unit tests in psql scripts suitable for harvesting,
+ analysis, and reporting by a TAP harness, such as those used in Perl
+ and PHP applications.
+ .
+ TAP is the Test Anything Protocol (http://testanything.org/).
+ .
+ This package contains the extension for PostgreSQL 9.5.
+
+Package: postgresql-9.6-pgtap
+Architecture: all
+Depends: ${shlibs:Depends}, ${misc:Depends},
+    ${perl:Depends},
+    postgresql-9.6
+Replaces: pgtap (<< 0.95)
+Breaks: pgtap (<< 0.95)
+Recommends: pgtap-doc,
+    libtap-parser-sourcehandler-pgtap-perl,
+    libtest-harness-perl,
+    libtap-harness-archive-perl
+Provides: postgresql-pgtap
+Description: Unit testing framework extension for PostgreSQL 9.6
+ pgTAP is a suite of database functions that make it easy to write
+ TAP-emitting unit tests in psql scripts suitable for harvesting,
+ analysis, and reporting by a TAP harness, such as those used in Perl
+ and PHP applications.
+ .
+ TAP is the Test Anything Protocol (http://testanything.org/).
+ .
+ This package contains the extension for PostgreSQL 9.6.
 
 Package: postgresql-10-pgtap
 Architecture: all
@@ -66,3 +155,25 @@
  .
  This package contains the extension for PostgreSQL 10.
 
+Package: postgresql-11-pgtap
+Architecture: all
+Depends: ${shlibs:Depends}, ${misc:Depends},
+    ${perl:Depends},
+    postgresql-11
+Replaces: pgtap (<< 0.95)
+Breaks: pgtap (<< 0.95)
+Recommends: pgtap-doc,
+    libtap-parser-sourcehandler-pgtap-perl,
+    libtest-harness-perl,
+    libtap-harness-archive-perl
+Provides: postgresql-pgtap
+Description: Unit testing framework extension for PostgreSQL 11
+ pgTAP is a suite of database functions that make it easy to write
+ TAP-emitting unit tests in psql scripts suitable for harvesting,
+ analysis, and reporting by a TAP harness, such as those used in Perl
+ and PHP applications.
+ .
+ TAP is the Test Anything Protocol (http://testanything.org/).
+ .
+ This package contains the extension for PostgreSQL 11.
+

=== debian/tests/control ===
Depends: @, postgresql-server-dev-all, postgresql-contrib-9.3, postgresql-contrib-9.4, postgresql-contrib-9.5, postgresql-contrib-9.6, postgresql-contrib-10, postgresql-contrib-11, make, patch
Tests: installcheck
Restrictions: allow-stderr

## pgtap 1.0.0

=== debian/changelog ===
pgtap (1.0.0-1.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 04 Mar 2019 13:48:55 +0100

pgtap (1.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Christoph Berg <myon@debian.org>  Mon, 04 Mar 2019 13:48:55 +0100

=== debian/control ===
--- 
+++ 
@@ -44,28 +44,6 @@
  TAP is the Test Anything Protocol (http://testanything.org/).
  .
  This package contains the documentation for pgTAP.
-
-Package: postgresql-9.3-pgtap
-Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends},
-    ${perl:Depends},
-    postgresql-9.3
-Replaces: pgtap (<< 0.95)
-Breaks: pgtap (<< 0.95)
-Recommends: pgtap-doc,
-    libtap-parser-sourcehandler-pgtap-perl,
-    libtest-harness-perl,
-    libtap-harness-archive-perl
-Provides: postgresql-pgtap
-Description: Unit testing framework extension for PostgreSQL 9.3
- pgTAP is a suite of database functions that make it easy to write
- TAP-emitting unit tests in psql scripts suitable for harvesting,
- analysis, and reporting by a TAP harness, such as those used in Perl
- and PHP applications.
- .
- TAP is the Test Anything Protocol (http://testanything.org/).
- .
- This package contains the extension for PostgreSQL 9.3.
 
 Package: postgresql-9.4-pgtap
 Architecture: all

=== debian/tests/control ===
Depends: @, postgresql-server-dev-all, postgresql-contrib-9.4, postgresql-contrib-9.5, postgresql-contrib-9.6, postgresql-contrib-10, postgresql-contrib-11, make, patch
Tests: installcheck
Restrictions: allow-stderr
